Subject: Re: [Seamoby] New Issue: Interoperability with other Handover Protocols

From: Xiaoming Fu <[email-masked]>
Date: Sat, 28 Jun 2003 01:47:23 +0200

James,

This sounds interesting, but would introduce more failure cases which
are complicated to handle.  As CTP minimizes the requirement of sending
large packets over the air, it is not very desirable to bundle CTP into
handover messages at the cost of added complexity.

OTOH I think it might make sense for bundling CTAR/CTRR within any data
packets _after_ completing mobility management, similar to BU options
v.s. data packets.

Cheers,
Xiaoming

James Kempf wrote:
> 
> Issue:
> 
> Section 3 specifies that CTP runs to a dedicated UDP port.  There may be
> cases where one would want to optimize wireless signaling (MN to AR) to
> avoid multiple messages from various protocols associated with different
> aspects of handover (for example, mobility mangement and context transfer).
> For this reason, it might be useful to allow the MN to bundle the CTAR with
> other handover signaling. For example, if FMIP is being used for mobility
> management, it might be useful to bundle CTAR with the FMIP BU (details are
> left as an exercise for the researcher).
> 
> Suggested Resolution:
> 
> Add the following paragraph at the end of Section 3:
> 
>     In some cases, may be advantageous to bundle the context transfer
> signaling between the MN and network, or between access routers, together
> with other handover signaling. For this purpose, the MN may bundle the CTAR
> message and the NAR may bundle the CTARR with other handover signaling
> rather than use dedicated UDP port for the protocol. Similarly, the PAR and
> NAR may bundle the CTD/CTDR/CTR with other handover signaling.
> 
> Comments?
> 
>             jak
> 
> _______________________________________________
> Seamoby mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/seamoby

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby

---

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 27 Jun 2003 16:53:56 -0700

I definitely like this idea. 

Vijay

---

From: "James Kempf" <[email-masked]>
Date: Fri, 27 Jun 2003 16:04:19 -0700

Issue:

Suggested Resolution:

Comments?

            jak